Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LineDistance Class Reference

ライン距離 More...

`#include <LineDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const Line &line, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const Line &line0, const Line &line1)
| 距離の二乗
float | squaredDistance (const Line &line, const OrientedBox &ob)
| 指向性ボックス距離の二乗
float | distance (const Line &line, const Plane &plane)
| 平面距離
float | squaredDistance (const Line &line, const Ray &ray)
| レイ距離の二乗
float | squaredDistance (const Line &line, const Segment &segment)
| セグメント距離の二乗
float | squaredDistance (const Line &line, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const Line &line, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

ライン距離

Definition at line 42 of file LineDistance.h.

## Member Function Documentation

float Lamp::LineDistance::distance | ( | const Line & | line,
|  | const Plane & | plane
| ) | `[static]`

  | 平面距離 Parameters:
  line | ライン
  plane | 平面
Returns: 距離 Definition at line 94 of file LineDistance.cpp. References Assert. Referenced by squaredDistance().

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  line | ライン
  triangle | 三角
Returns: 距離の二乗 Definition at line 208 of file LineDistance.cpp. References Assert.

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  line | ライン
  sphere | 球
Returns: 距離の二乗 Definition at line 200 of file LineDistance.cpp. References Assert.

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離の二乗 Parameters:
  line | ライン
  segment | セグメント
Returns: 距離の二乗 Definition at line 149 of file LineDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Segment::getDirection(), Lamp::Line::getDirection(), Lamp::Segment::getOrigin(), Lamp::Line::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const Ray & | ray
| ) | `[static]`

  | レイ距離の二乗 Parameters:
  line | ライン
  ray | レイ
Returns: 距離の二乗 Definition at line 102 of file LineDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Ray::getDirection(), Lamp::Line::getDirection(), Lamp::Ray::getOrigin(), Lamp::Line::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス距離の二乗 Parameters:
  line | ライン
  ob | 指向性ボックス
Returns: 距離の二乗 Definition at line 86 of file LineDistance.cpp. References Assert.

float Lamp::LineDistance::squaredDistance | ( | const Line & | line0,
|  | const Line & | line1
| ) | `[static]`

  | 距離の二乗 Parameters:
  line0 | ライン
  line1 | ライン
Returns: 距離の二乗 Definition at line 46 of file LineDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Line::getDirection(), Lamp::Line::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::LineDistance::squaredDistance | ( | const Line & | line,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  line | ライン
  point | 点
Returns: 距離の二乗 Definition at line 34 of file LineDistance.cpp. References distance(), Lamp::Vector3::dotProduct(), Lamp::Line::getDirection(), Lamp::Line::getOrigin(), and Lamp::Vector3::getSquaredLength().

The documentation for this class was generated from the following files:

- LineDistance.h
- LineDistance.cpp